/**
 * 2010-2019 Coderplacethemes
 *
 * NOTICE OF LICENSE
 *
 * DISCLAIMER
 *
 *  @Module Name: CP CouponPop Module
 *  @author    coderplace <support@coderplace.com>
 *  @copyright 2010-2019 coderplace
 *  @license   http://www.coderplace.com - prestashop template provider
 */

 $(document).ready(function()
 {
	 $(document).on('click', '.open .cp-coupon-small, .open .share-coupon-small-wrapper', function()	{ showDialog(); });
	 $(document).on('click', '.close .cp-coupon-small, .close .share-coupon-small-wrapper', function() { closeDialog(cookies_time); });
 });
 
 $(function(){
	 $(window).bind("scroll.alert", function() {
		 var $this = $(this);
		 if ($this.scrollTop() >= 1500) {
		 showDialog();
			 $this.unbind("scroll.alert");
		 }
	 });
 });
 
 function createCookie(cookiename, cookievalue, exdays) {
	 const d = new Date();
	 d.setTime(d.getTime() + (exdays*24*60*60*1000));
	 let expires = "expires="+ d.toUTCString();
	 document.cookie = cookiename + "=" + cookievalue + ";" + expires + ";path=/";
 }
 
 function getCookie(cookiename) {
	 let name = cookiename + "=";
	 let decodedCookie = decodeURIComponent(document.cookie);
	 let ca = decodedCookie.split(';');
	 for(let i = 0; i <ca.length; i++) {
	   let c = ca[i];
	   while (c.charAt(0) == ' ') {
		 c = c.substring(1);
	   }
	   if (c.indexOf(name) == 0) {
		 return c.substring(name.length, c.length);
	   }
	 }
	 return "";
 }
 
 function showDialog()
 {  		
	 if (!getCookie("cookieCouponPopup")) {						
		 var data={'task':'showPopup'};
			 $.ajax({
			 type: "POST",
			 cache: false,
			 url: cp_coupon_url + '/front-end-ajax.php',
			 dataType : "json",
			 data: data,
			 complete: function(){},
			 success: function (response) {
				// console.log(response);

			 }
		 });
		 setTimeout(function(){		
			 $("#overlay").show();
			 $(".newsletter-main").show();			
		 }, 500);
	 }	
 }
 
 function closeDialog(cookies_time)
 {  
	 var data={'task':'cancelRegisNewsletter', 'cookies_time':cookies_time};        
	 if ($('#notshow').is(':checked')){
		 data.notshow = '1';		
		 createCookie('cookieCouponPopup','closed',cookies_time);
	 }else{
		 data.notshow = '0';
	 }
		 $.ajax({
		 type: "POST",
		 cache: false,
		 url: cp_coupon_url + '/front-end-ajax.php',
		 dataType : "json",
		 data: data,
		 complete: function(){},
		 success: function (response) {
			// console.log(response);
		 }
	 }); 
	 setTimeout(function(){     		
		 $("#overlay").hide();
		 $(".newsletter-main").hide();		
	 }, 500);
 }
 function check_email(email){
	 emailRegExp = /^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.([a-z]){2,4})$/;	
	 if(emailRegExp.test(email)){
		 return true;
	 }else{
		 return false;
	 }
 }
 function regisNewsletter(){
	 var data={'task':'regisNewsletter', 'action':0};
	 var email = $("#newsletter_input_email").val();
	 if(check_email(email) == true){
		 data.email = email;
		 $("#regisNewsletterMessage").html("");
	 }else{
		 $("#regisNewsletterMessage").html(enterEmail);
		 return false;
	 }
	 
	 if ($('#notshow').is(':checked')){
		 data.notshow = '1';
	 }else{
		 data.notshow = '0';
	 }
	 $.ajax({
		 type: "POST",
		 cache: false,
		 url: cp_coupon_url + '/front-end-ajax.php',
		 dataType : "json",
		 data: data,
		 complete: function(){},
		 success: function (response)
		 {
			 
			 if(response.indexOf("@")>0)
			 {
				 var new_response = response.substring(response.indexOf("@")+1, response.length);
				 $("#regisNewsletterMessage").html('<p class="alert alert-success">'+new_response+'</p>');
			 }
			 else
			 $("#regisNewsletterMessage").html('<p class="alert alert-warning">'+response+'</p>');
		 
			 $("#coupon-text-before").hide();
			 $("#coupon-text-after").show();
		 },
		  error: function(XMLHttpRequest, textStatus, errorThrown) { 
					 alert("Status: " + textStatus); alert("Error: " + errorThrown); 
					 
		 }  
	 });
 }